:: Report Design Exporter
:: Licensed Materials - Property of IBM (c) Copyright IBM Corporation 2011.
:: All Rights Reserved.
:: 
:: Note to U.S. Government Users Restricted Rights: Use, duplication or
:: disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
setlocal
set START_DIR=%~dp0

:set DEFINE=%DEFINE% -Dcom.ibm.team.repotools.rcp.allowInvalidBundles=true
set DEFINE=%DEFINE% -Dcom.ibm.team.repository.provision.profile=./provision_profiles
set DEFINE=%DEFINE% -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true
set DEFINE=%DEFINE% -Dcom.ibm.team.repository.service.internal.nonServiceProxies=com.ibm.rational.report.common.IReportContentRestService
set DEFINE=%DEFINE% -Djava.awt.headless=true
set DEFINE=%DEFINE% -Dlog4j.configuration="file:%START_DIR%reportExporter_log4j.properties"
set DEFINE=%DEFINE% -Dcom.ibm.team.server.configURL="file:%START_DIR%teamserver.properties" 
set DEFINE=%DEFINE% -Dcom.ibm.rational.report.server.configURL="file:%START_DIR%reportserver.properties"
set DEFINE=%DEFINE% -Ddata="%START_DIR%\wsexport"

set JAVA="%RATIONAL_COMMON%\JAVA5.0\jre\bin\java"
set LAUNCHER=org.eclipse.equinox.launcher_1.0.1.R33x_v20080118.jar
set JAR="%START_DIR%\..\reportExporter\eclipse\plugins\%LAUNCHER%"
set APPLICATION=com.ibm.rational.report.export.rcp.application

%JAVA% -Xmx512M %DEFINE% -jar %JAR% -application %APPLICATION% %*
endlocal  
